all messages for Guix-related lists mirrored at yhetil.org
 help / color / mirror / code / Atom feed
* [bug#54719] [PATCH] gnu: gtk-xfce-engine: Removed.
@ 2022-04-04 22:45 tumashu
  2022-08-05  2:28 ` bug#54719: " 宋文武 via Guix-patches via
  0 siblings, 1 reply; 2+ messages in thread
From: tumashu @ 2022-04-04 22:45 UTC (permalink / raw)
  To: 54719; +Cc: Feng Shu

From: Feng Shu <tumashu@163.com>

* gnu/packages/xfce.scm (gtk-xfce-engine): Removed.
(xfce)[input]: Remove gtk-xfce-engine.

1. gtk-xfce-engine won't be part of Xfce >= 4.14.
   - https://mail.xfce.org/pipermail/xfce4-dev/2018-August/032151.html
2. gtk-xfce-engine package only include gtk2 theme now.
3. When I enable gtk-xfce-engine gtk3 support, it does not work.
---
 gnu/packages/xfce.scm | 23 -----------------------
 1 file changed, 23 deletions(-)

diff --git a/gnu/packages/xfce.scm b/gnu/packages/xfce.scm
index 44b6c34b29..26b36d62e2 100644
--- a/gnu/packages/xfce.scm
+++ b/gnu/packages/xfce.scm
@@ -80,28 +80,6 @@ (define-module (gnu packages xfce)
   #:use-module (guix packages)
   #:use-module (guix utils))
 
-(define-public gtk-xfce-engine
-  (package
-    (name "gtk-xfce-engine")
-    (version "2.10.1")
-    (source (origin
-              (method url-fetch)
-              (uri (string-append "https://archive.xfce.org/src/xfce/"
-                                  name "/" (version-major+minor version) "/"
-                                  name "-" version ".tar.bz2"))
-              (sha256
-               (base32
-                "0g86ywkx0ghzhhn96k88p67bbzlm1aqckly85izp07w80l1934ja"))))
-    (build-system gnu-build-system)
-    (native-inputs
-     (list pkg-config intltool))
-    (inputs (list gtk+-2))
-    (home-page "https://www.xfce.org/")
-    (synopsis "GTK+ theme engine for Xfce")
-    (description
-     "Default GTK+ engine and themes for Xfce Desktop Environment.")
-    (license gpl2+)))
-
 (define-public libxfce4util
   (package
     (name "libxfce4util")
@@ -1087,7 +1065,6 @@ (define-public xfce
      (list exo
            garcon
            gnome-icon-theme
-           gtk-xfce-engine
            hicolor-icon-theme
            mate-polkit-for-xfce
            ristretto
-- 
2.34.0





^ permalink raw reply	[flat|nested] 2+ messages in thread

* bug#54719: [PATCH] gnu: gtk-xfce-engine: Removed.
  2022-04-04 22:45 [bug#54719] [PATCH] gnu: gtk-xfce-engine: Removed tumashu
@ 2022-08-05  2:28 ` 宋文武 via Guix-patches via
  0 siblings, 0 replies; 2+ messages in thread
From: 宋文武 via Guix-patches via @ 2022-08-05  2:28 UTC (permalink / raw)
  To: tumashu; +Cc: 54719-done

tumashu@163.com writes:

> From: Feng Shu <tumashu@163.com>
>
> * gnu/packages/xfce.scm (gtk-xfce-engine): Removed.
> (xfce)[input]: Remove gtk-xfce-engine.
>
> 1. gtk-xfce-engine won't be part of Xfce >= 4.14.
>    - https://mail.xfce.org/pipermail/xfce4-dev/2018-August/032151.html
> 2. gtk-xfce-engine package only include gtk2 theme now.
> 3. When I enable gtk-xfce-engine gtk3 support, it does not work.

Hello, I have replaced 'gtk-xfce-engine' with 'greybird-gtk-theme' in
the xfce package.  I think we can keep gtk-xfce-engine if it still works
with GTK2 applications.

Thank you!




^ permalink raw reply	[flat|nested] 2+ messages in thread

end of thread, other threads:[~2022-08-05  2:29 UTC | newest]

Thread overview: 2+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2022-04-04 22:45 [bug#54719] [PATCH] gnu: gtk-xfce-engine: Removed tumashu
2022-08-05  2:28 ` bug#54719: " 宋文武 via Guix-patches via

Code repositories for project(s) associated with this inbox:

	https://git.savannah.gnu.org/cgit/guix.git

This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.